# -*- coding: utf8 -*-

# Copyright 2009 laliputienses
# License: GPL v3
# For further info, see LICENSE file

from lalita import events
from .helper import PluginTest


class TestTicket(PluginTest):
    def setUp(self):
        '''Just init your module.Class.'''
        self.init("lalita.plugins.ticket.Ticket")

    def test_message(self):
        '''Check 'public' functionality.'''
        url = 'http://trac.example.com/ticket/'

        self.disp.push(events.COMMAND, "testuser", "channel", "trac", url)
        self.disp.push(events.PUBLIC_MESSAGE, "testuser", "channel", "mira este ticket: #5")
        self.assertMessageInAnswer(0, u'URL Ticket: %s%s' % (url, '5'))
